/* $Id: machine.h,v 1.4 2004/03/17 20:22:42 ksb Exp $
 */

/* This is an extension to the original RFC that ksb likes a lot.
 * If this host knows a host that provides the service it can send one
 * of three aditional replies:
 * 1) To redirect the client to a new host:
 *	@host\r\n
 * 2) To specify the same host, on a different port:
 *	@:port\r\n
 * 3) To specify both a new host and port number:
 *	@host:port\r\n
 *
 * When the port is specified and is other than "1" the client SHOULD
 * expect the requested service to respond without the tcpmux protocol
 * negotiation.  In other cases the client SHOULD expect the service
 * requested to respond.
 * The server SHOULD elide the port number when it is port 1, and MUST
 * not reply with both the host and port it listens on (viz. ":1").
 */
#if !defined(RFC1078_REDIR)
#define RFC1078_REDIR		1
#endif

/* When the service line looks like
 *	<bester * * * nobody  .tcpmux
 * then we'll drop uid to "nobody" and read the config file in his home
 * directory named .tcpmux.  If the file starts with a '/' we don't
 * prefix the new login's home.
 * The token "bester" doesn't have anything to do with the spell,
 * it lets you hide the unix login from the clients.
 * Parameters after the filename become the new parameters to tcpmux, which
 * presently only honors -V (less than useful).
 */
#if !defined(RFC1078_RECURSE)
#define RFC1078_RECURSE		1
#endif

/* We can use snprintf(3) to avoid trivial buffer overflows, maybe.
 */
#if !defined(HAVE_SNPRINTF)
#define HAVE_SNPRINTF		!(defined(HPUX9)||defined(HPUX8)||defined(HPUX7))
#endif
